godo.Droplets.CreateMultiple()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Droplets.CreateMultiple(ctx context.Context, createRequest *godo.DropletMultiCreateRequest) ([]godo.Droplet, *godo.Response, error)Description
CreateMultiple creates multiple Droplets.
This method sends a POST request to /v2/droplets.
Parameters
createRequest*godo.DropletMultiCreateRequest required
Fields of godo.DropletMultiCreateRequest
DropletMultiCreateRequest is a request to create multiple Droplets.
Names[]stringRegionstringSizestringImagegodo.DropletCreateImageSSHKeys[]godo.DropletCreateSSHKeyBackupsboolIPv6boolPrivateNetworkingboolMonitoringboolUserDatastringTags[]stringVPCUUIDstringSubnetUUIDstringWithDropletAgent*boolBackupPolicy*godo.DropletBackupPolicyRequestPublicNetworking*boolGPUPartitionModestringGPUPartitionModeselects the partition mode for the GPU Droplets. Omit or
leave empty for PARTITION_MODE_UNSET (full GPU). Use one of theGPUPartitionMode* constants for supported values.
Returns
- []godo.Droplet
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Droplet
Droplet represents a DigitalOcean Droplet
IDintNamestringMemoryintVcpusintDiskintRegion*godo.RegionImage*godo.ImageSize*godo.SizeSizeSlugstringBackupIDs[]intNextBackupWindow*godo.BackupWindowSnapshotIDs[]intFeatures[]stringLockedboolStatusstringNetworks*godo.NetworksCreatedstringKernel*godo.KernelTags[]stringVolumeIDs[]stringVPCUUIDstringSubnetUUIDstringGPUPartitionModestringGPUPartitionModeis echoed back on create when the Droplet was created
with a partitioned GPU. Note: read-back on droplet GET is not delivered in
v1, so this is only reliably populated on the create response.
Request Sample
Response Example
More Information
See POST /v2/droplets in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.